# TBasicDataComponent Class Reference
[Base Classes for plugins]

Inheritance diagram for TBasicDataComponent:

List of all members.

## Public Member Functions
virtual MCCOMErr MCCOMAPI | QueryInterface (const MCIID &riid, void **ppvObj)
virtual uint32 MCCOMAPI | AddRef ()
virtual MCCOMErr MCCOMAPI | GetPostRenderList (TMCArray< IDType > &idArray)
virtual boolean MCCOMAPI | IsActive (I3DShTreeElement *tree)
virtual void MCCOMAPI | GetVolumetricList (TMCArray< IDType > &idArray)
virtual boolean MCCOMAPI | CanImportData (I3DImportData *inImportData)
| return true if the component can perform the import operation
virtual boolean MCCOMAPI | ImportData (I3DImportData *inImportData)
| return true if the component performed the import operation
virtual boolean MCCOMAPI | FullReRenderOfPreview ()

## Detailed Description

Basic Data Component class. Derive from this for a default implementation of I3DExDataComponent

See also:
  I3DExDataComponent

## Member Function Documentation

virtual uint32 MCCOMAPI TBasicDataComponent::AddRef | ( |  | ) | `[inline, virtual]`

Increments the reference count of the object

Reimplemented from TBasicDataExchanger.

virtual boolean MCCOMAPI TBasicDataComponent::CanImportData | ( | I3DImportData * | inImportData | ) | `[inline, virtual]`

return true if the component can perform the import operation

Implements I3DExDataComponent.

virtual boolean MCCOMAPI TBasicDataComponent::FullReRenderOfPreview | ( |  | ) | `[inline, virtual]`

Returns true if the associated preview needs to perform a full rendering (by opposition to just render the postrenderer).

Implements I3DExDataComponent.

virtual MCCOMErr MCCOMAPI TBasicDataComponent::GetPostRenderList | ( | TMCArray< IDType > & | idArray | ) | `[virtual]`

Fills the array with the class ID of the postrenderer that are enabled by this dataComponent

Parameters:

  | idArray | Reference to the array where the ids should added

Implements I3DExDataComponent.

virtual void MCCOMAPI TBasicDataComponent::GetVolumetricList | ( | TMCArray< IDType > & | idArray | ) | `[virtual]`

Returns a list of class IDs of the Volumetric components to instantiate to render this effect

Parameters:

  | idArray | Reference to the array where the ids should added

Implements I3DExDataComponent.

virtual boolean MCCOMAPI TBasicDataComponent::ImportData | ( | I3DImportData * | inImportData | ) | `[inline, virtual]`

return true if the component performed the import operation

Implements I3DExDataComponent.

virtual boolean MCCOMAPI TBasicDataComponent::IsActive | ( | I3DShTreeElement * | tree | ) | `[virtual]`

Returns false if the dataComponent has no effect on this object

Implements I3DExDataComponent.

virtual MCCOMErr MCCOMAPI TBasicDataComponent::QueryInterface | ( | const MCIID & | riid,
|  | void ** | ppvObj |
| ) |  |  | `[virtual]`

Check if the object supports a given interface and returns a pointer to that interface if it does. Note that QueryInterface will increment the reference count of the object by one if the interface is found.

Parameters:

  | riid | GUID of the interface
  | ppvObj | A pointer to the pointer being returned.

Reimplemented from TBasicDataExchanger.

The documentation for this class was generated from the following file:

- BasicDataComponent.h